수정 오류 : PHP 설치에 WordPress에 필요한 MySQL 확장이없는 것으로 보입니다

"PHP 설치에 WordPress에 필요한 MySQL 확장이없는 것으로 보입니다"많은 블로그 소유자와 웹 사이트가 저지른 실수입니다 워드프레스(WordPress).
이것은 우려 할만한 원인이 아닙니다. MySQL 확장 부족 PHP에서 제공하는 것은 일반적으로 처음부터 VPS 또는 전용 서버에서 설치 한 운영 체제이며, PHP 확장은 설치 패키지의 일부가 아닙니다. 이 문제는 둘 다에 존재합니다 우분투CentOS에. 이 시나리오에서는 PHP 업데이트 및 모듈 설치를 통해 문제를 매우 간단하게 해결합니다.PHP-MySQL".
우분투에서 PHP 업데이트 및 MySQL 확장 설치

apt-get update
apt-get install php-mysql

CentOS에서 PHP 업데이트 및 MySQL 확장 설치

yum update
yum install php70w-mysql

이 단계 후에 Apache 서비스를 다시 시작하십시오. 또는 Nginx에.

또한 PHP에 MySQL 확장이 존재하지만 WordPress에서 생성 된 블로그에 "PHP 설치에 WordPress에 필요한 MySQL 확장이없는 것 같습니다"라는 오류가 표시되는 시나리오가 발생했습니다. 대부분의 경우 WordPress를 설치할 때 오류가 발생합니다. 그러나 이번에는 몇 년 동안 활동했던 블로그에 출연했습니다.
이 상황에서 문제는 PHP 모듈이 아니라 PHP 7.4.4RC1과 더 이상 호환되지 않는 이전 버전의 WordPress입니다. 최신 버전으로 간단한 WordPress 업그레이드로 오류가 해결되었습니다.

수정 오류 : PHP 설치에 WordPress에 필요한 MySQL 확장이없는 것으로 보입니다

저자에 관하여

스텔스

가젯과 IT를 의미하는 모든 것에 열정을 갖고 2006의 stealthsettings.com에 기뻐하며 컴퓨터와 macOS, Linux 운영 체제, Windows, iOS 및 Android.

코멘트를 남겨